Ask Your Question
0

Unable to execute command on bundle 291: The bundle "org.opendaylight.dlux.example.App-bundle_1.0.0.SNAPSHOT [291]" could not be resolved. Reason: Missing Constraint: Import-Package: org.opendaylight.dlux.loader; version="[0.4.0,1.0.0)"

asked 2017-01-06 09:23:43 -0700

klaatz gravatar image

updated 2017-01-06 10:18:17 -0700

I have been trying to create a DLUX app using the archetype. I am following the guide available here.

I have installed the Beryllium SR4 release of ODL and have had no problems with the guide up to the deployment of the app. I have put the .jar file into the deploy folder. When I do bundle:list, it is saying that the bundle is installed (as it is in the deploy folder), but it is not active. It is when I try bundle:start exampleApp-bundle that I get the error in the question....

Any help on this would be much appreciated!!

Thanks in advance,

Kevin

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2017-01-29 10:21:11 -0700

klaatz gravatar image

I have finally resolved the issue. I was using the values that the guide suggested for groupID etc. When I did so, i was getting a 'Missing constraint: Import-Package' error for the dlux loader.

What fixed it for me was to use the following:

Define value for property 'groupId': : org.opendaylight.dlux
Define value for property 'artifactId': : your app name here
Define value for property 'version': 1.0-SNAPSHOT: : 0.3.4-Beryllium-SR4
Define value for property 'package': org.opendaylight.dlux.example: : blank

Hope this might help someone who was having a similar issue :)

/Kevin

edit flag offensive delete publish link more

Comments

The guide I am talking about is here: https://wiki.opendaylight.org/view/OpenDaylight_DLUX:Create_application_with_archetype

klaatz ( 2017-01-29 10:25:55 -0700 )edit
Login/Signup to Answer

Stats

Asked: 2017-01-06 09:23:43 -0700

Seen: 93 times

Last updated: Jan 29